@echo off
: -------------------------------
: if resources exist, build them
: -------------------------------
if not exist rsrc.rc goto over1
\MASM32\BIN\Rc.exe /v rsrc.rc
:over1

if exist %1.obj del autobutn.obj
if exist %1.exe del autobutn.exe

: -----------------------------------------
: assemble autobutn.asm into an OBJ file
: -----------------------------------------
\MASM32\BIN\Ml.exe /c /coff autobutn.asm
if errorlevel 1 goto errasm

if not exist rsrc.obj goto nores

: --------------------------------------------------
: link the main OBJ file with the resource OBJ file
: --------------------------------------------------
\MASM32\BIN\PoLink.exe /SUBSYSTEM:WINDOWS /MERGE:.data=.text autobutn.obj rsrc.res
if errorlevel 1 goto errlink
dir autobutn.*
goto TheEnd

:nores
: -----------------------
: link the main OBJ file
: -----------------------
\MASM32\BIN\PoLink.exe /SUBSYSTEM:WINDOWS autobutn.obj
if errorlevel 1 goto errlink
dir autobutn.*
goto TheEnd

:errlink
: ----------------------------------------------------
: display message if there is an error during linking
: ----------------------------------------------------
echo.
echo There has been an error while linking this project.
echo.
goto TheEnd

:errasm
: -----------------------------------------------------
: display message if there is an error during assembly
: -----------------------------------------------------
echo.
echo There has been an error while assembling this project.
echo.
goto TheEnd

:TheEnd

pause
